/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.list.type.model.impl;

import com.liferay.list.type.model.ListTypeDefinition;
import com.liferay.list.type.service.ListTypeDefinitionLocalServiceUtil;

/**
 * The extended model base implementation for the ListTypeDefinition service. Represents a row in the &quot;ListTypeDefinition&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link ListTypeDefinitionImpl}.
 * </p>
 *
 * @author Gabriel Albuquerque
 * @see ListTypeDefinitionImpl
 * @see ListTypeDefinition
 * @generated
 */
public abstract class ListTypeDefinitionBaseImpl
	extends ListTypeDefinitionModelImpl implements ListTypeDefinition {

	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a list type definition model instance should use the <code>ListTypeDefinition</code> interface instead.
	 */
	@Override
	public void persist() {
		if (this.isNew()) {
			ListTypeDefinitionLocalServiceUtil.addListTypeDefinition(this);
		}
		else {
			ListTypeDefinitionLocalServiceUtil.updateListTypeDefinition(this);
		}
	}

}